#
# spec file for package ghc-memory
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name memory
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.14.1
Release:        1.11
Summary:        Memory and related abstraction stuff
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-hunit-devel
BuildRequires:  ghc-tasty-quickcheck-devel
%endif

%description
Chunk of memory, polymorphic byte array management and manipulation

* A polymorphic byte array abstraction and function similar to strict
ByteString.

* Different type of byte array abstraction.

* Raw memory IO operations (memory set, memory copy, ..)

* Aliasing with endianness support.

* Encoding : Base16, Base32, Base64.

* Hashing : FNV, SipHash.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc CHANGELOG.md README.md

%changelog
* Sun Feb 12 2017 psimons@suse.com
- Update to version 0.14.1 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.13 revision 0 with cabal2obs.
* Mon May 23 2016 mimi.vx@gmail.com
- update to 0.13
* Sun Apr 10 2016 mimi.vx@gmail.com
- update to 0.12
  * Fix compilation with mkWeak and latest GHC
* Fri Jan 15 2016 mimi.vx@gmail.com
- update 0.11
* Tue Dec 15 2015 mimi.vx@gmail.com
- update to 0.10
  * make memConstEqual more constant not using boolean comparaison
  * memConstEqual was comparing length times the first byte instead of comparing
    all the bytes one to one
  * Add Base64 variants
* Sat Jun  6 2015 mimi.vx@gmail.com
- update to 0.7
  * Fix fixed sized scrubber written too hastily, that would zero out memory, as
    the index was written through byte size, whereas the primitive would consider it
    as WordX type index. it would helps if Ghc.Prim had better documentation.
* Sun May 31 2015 mimi.vx@gmail.com
- initial commit
